Title: Worked examples

# Worked examples

We have five worked examples of using FlowKit for CDR analysis:

- [Flows Above Normal](flows-above-normal.ipynb),
- [Commuting Patterns](commuting-patterns.ipynb),
- [Cell Towers Per Region](cell-towers-per-region.ipynb),
- [Unique Subscriber Counts](unique-subscriber-counts.ipynb),
- [Joined Spatial Aggregate](joined-spatial-aggregate.ipynb).

[Flows Above Normal](flows-above-normal.ipynb) and [Commuting Patterns](commuting-patterns.ipynb) are two examples of typical workflows for gaining insights from CDR data, using FlowClient. [Cell Towers Per Region](cell-towers-per-region.ipynb) and [Unique Subscriber Counts](unique-subscriber-counts.ipynb) are simple examples of using FlowClient, designed to be used to demonstrate that a FlowKit setup has been deployed successfully. [Joined Spatial Aggregate](joined-spatial-aggregate.ipynb) demonstrates the joined spatial aggregate query kind, along with some simple examples of further data analysis using Python.

You can run the worked examples using the [quick start setup](../../install.md#quickinstall) which includes JupyterLab. Alternatively, the Jupyter notebooks for these worked examples can be found [here](https://github.com/Flowminder/FlowKit/tree/master/docs/source/analyst/worked_examples/).
